// Copyright (c) 2012 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// Modified by Jim Morey from https://developer.chrome.com/extensions/samples#search:script -->example A browser action with a popup that changes the page color


function click(e) {
  reloadIt(30000); // 30 seconds between reloads
  fixIt(500);  // 0.5 seconds to fix ... could be better but not worth the effort -- would be better to do this onload....
  //window.close(); // could be  much cleaner but....closing this window means we have to set alarms etc..
}

function reloadIt(delay){
  chrome.tabs.executeScript(null,
        {code:  '/*console.log("reload?");*/ '+
                'document.getElementById("cphMain_btnRoster").click(); '+
		'document.body.style.backgroundColor= document.body.style.backgroundColor=="white"?"#ccc":"white"; '
  });
  setTimeout(function() { reloadIt(delay); },delay);
}

function fixIt(delay){
  chrome.tabs.executeScript(null,
        {code:  '/*console.log("fix?");*/ '+
		'if (document.getElementById("CTIFIX")==null){ '+ 
		'  /*console.log("fixing");*/ '+
                '  var newSS=document.createElement("link"); '+
                '  newSS.setAttribute("id","CTIFIX"); '+
                '  newSS.setAttribute("rel","stylesheet"); '+
                '  newSS.setAttribute("type","text/css"); '+
                '  newSS.setAttribute("href","http://jimmorey.com/js/fapLoader/CTIcut.css"); '+
                '  document.getElementsByTagName("head")[0].appendChild(newSS); }'
  });
  setTimeout(function() { fixIt(delay); },delay);
}

document.addEventListener('DOMContentLoaded', function () {
  var divs = document.getElementsByTagName("div")[0].addEventListener('click', click); 
});
